package com.purui.prims.auth.api.authorization.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.auth.api.authorization.request.QueryAuthResReq;
import com.purui.prims.auth.api.authorization.response.AuthorizedResourceResp;
import com.purui.prims.auth.api.authorization.pojo.AuthGroup;

import java.util.List;

public interface AuthService {

    List<AuthGroup> queryAuthGroups(String domainId, Integer groupId);

    void addOrUpdateAuthGroup(AuthGroup group);

    void removeAuthGroup(AuthGroup group);

    AuthorizedResourceResp queryAuthorizedResources(QueryAuthResReq req, User user);
}
